## mh-e 8.2.90

=== debian/changelog ===
mh-e (8.2.90-1) unstable; urgency=low

  * New upstream release
  * Remove w3-el-e21 from suggested packages; no longer exists.

 -- Peter S Galbraith <psg@debian.org>  Mon, 11 Jul 2011 21:40:53 -0400

mh-e (8.2-3) unstable; urgency=low

  * Bug fix: "please remove emacs22 from the build dependencies", thanks
    to Rob Browning (Closes: #567699).
  * control:
  - Added depends on: "dpkg (>= 1.15.4) | install-info" 
  - Standards-Version bumped to 3.8.3
  - Switched "Build-Depends-Indep" to "Build-Depends" as per
    clean-should-be-satisfied-by-build-depends
  - Added ${misc:Depends} (debhelper-but-no-misc-depends)
  * compat: debhelper compat bumped to 7.
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 18 Feb 2010 18:22:39 -0500

mh-e (8.2-2) unstable; urgency=low

  * Bug fix: "FTBFS: /bin/sh: cvs: not found", thanks to Lucas Nussbaum.
    Fixed by not doing `make all' in doc subdirectory, but only `make info'.
    (Closes: #543091).

 -- Peter S Galbraith <psg@debian.org>  Tue, 01 Sep 2009 13:42:08 -0400

mh-e (8.2-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Fri, 17 Jul 2009 15:34:46 -0400

mh-e (8.1-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "lintian error, debian-files-list-in-source", thanks to
    Raphael Geissert (Closes: #451058).
  * Bug fix: "binary files in upstream debian dir", thanks to Raphael
    Hertzog (Closes: #485036).
  * Standards-Version 3.8.0: Added Homepage field and removed it from
    description.
  * Change build-de[pends from tetex-bin to texlive-latex-base and
    texlive-generic-recommended.

 -- Peter S Galbraith <psg@debian.org>  Tue, 09 Sep 2008 19:34:45 -0400

mh-e (8.0.3-3) unstable; urgency=high

  * Bug fix: "mh-e requires sendmail.el, which needs /usr/bin/mail
    installed", thanks to Lucas Nussbaum (Closes: #439486). I simply call
    `make autoloads' now rather than `make', so I avoid byte-compiling all
    the files.

 -- Peter S Galbraith <psg@debian.org>  Wed, 29 Aug 2007 22:35:39 -0400

mh-e (8.0.3-2) unstable; urgency=low

  * Bug fix: "mh-e: please prefer emacs22", thanks to Tatsuya Kinoshita
    (Closes: #434921).

 -- Peter S Galbraith <psg@debian.org>  Mon, 13 Aug 2007 20:58:54 -0400

mh-e (8.0.3-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Mon, 20 Nov 2006 21:11:30 -0500

mh-e (8.0.2-2) unstable; urgency=low

  * Bug fix: "mh-e: postinst failure with xemacs21 because of
    mh-logo.xpm", thanks to Laurent Bonnaud (Closes: #378979).
    The emacsen-install scripts needs to know about
    /usr/share/emacs/site-lisp/etc/images/mh-e to find icons during
    byte-compilation.

 -- Peter S Galbraith <psg@debian.org>  Thu, 20 Jul 2006 10:57:51 -0400

mh-e (8.0.2-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Wed, 19 Jul 2006 14:12:34 -0400

mh-e (8.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depend on tetex-bin; fixes FTBFS, patch from Andreas Jochens.
    (Closes: #375842)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  5 Jul 2006 21:00:10 +0200

mh-e (8.0-1) unstable; urgency=low

  * New upstream release, a major milestone.

 -- Peter S Galbraith <psg@debian.org>  Sat,  6 May 2006 21:52:25 -0400

mh-e (7.94-1) unstable; urgency=low

  * New upstream release.
    Incorporates new manual!

 -- Peter S Galbraith <psg@debian.org>  Fri, 21 Apr 2006 21:13:26 -0400

mh-e (7.93-1) unstable; urgency=low

  * New upstream bug-fix release.
    Renames `mh-image-load-path' to `mh-image-directory'

 -- Peter S Galbraith <psg@debian.org>  Wed,  1 Mar 2006 09:32:38 -0500

mh-e (7.92-1) unstable; urgency=low

  * New upstream bug-fix release

 -- Peter S Galbraith <psg@debian.org>  Sat, 18 Feb 2006 19:14:38 -0500

mh-e (7.91-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Fri,  3 Feb 2006 20:31:19 -0500

mh-e (7.90-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Wed,  1 Feb 2006 20:21:48 -0500

mh-e (7.85-2) unstable; urgency=low

  * Don't setup packge for emacs-snapshot (since it should have a
    bleeding-edge version of MH-E).

 -- Peter S Galbraith <psg@debian.org>  Wed,  1 Feb 2006 19:30:37 -0500

mh-e (7.85-1) unstable; urgency=low

  * New upstream release
  * Icon images moved to /usr/share/emacs/site-lisp/etc/images/mh-e
    (for now anyway)
  * mh-e-autoloads.el renamed to mh-autoloads.el upstream.

 -- Peter S Galbraith <psg@debian.org>  Sat, 15 Oct 2005 21:26:22 -0400

mh-e (7.84-2) unstable; urgency=low

  * Bug fix: "mh-e: FTBFS: Missing Build-Depends on 'emacs21'", thanks to
    Andreas Jochens (Closes: #314653).
  * Standards-Version: 3.6.2 without changes.
  
 -- Peter S Galbraith <psg@debian.org>  Tue, 20 Sep 2005 22:13:51 -0400

mh-e (7.84-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Mon, 30 May 2005 21:06:46 -0400

mh-e (7.83-1) unstable; urgency=low

  * New upstream bug-fix release.  
    Version 7.83 fixes a handful of bugs, adds colors to buttons for
    signed or encrypted messages, and contains some documentation changes
    related to the upcoming release of the manual. Some options were moved
    to other customization groups as a result.

 -- Peter S Galbraith <psg@debian.org>  Fri,  6 May 2005 13:04:22 -0400

mh-e (7.82-4) unstable; urgency=low

  * emacsen-install, emacsen-startup: Don't compile mh-speed.el since a
    separate speedbar package might be installed.  This will also fix the
    non-reproducible byte-compilation bug for mh-speed.el. Thanks to J G
    Miller for reporting, Christopher J Peikert, Andrew Lincoln, Burrow
    Grant Gould and Olivier Ponsini for helping out with it (Closes: #270349).

 -- Peter S Galbraith <psg@debian.org>  Sun, 19 Dec 2004 20:09:48 -0500

mh-e (7.82-3) unstable; urgency=low


