=== debian/control ===
Source: mh-e
Section: mail
Priority: extra
Maintainer: Peter S Galbraith <psg@debian.org>
Build-Depends: debhelper (>> 4.0.0), texinfo, emacs23, texlive-latex-base, texlive-generic-recommended
Standards-Version: 3.8.3
Homepage: http://mh-e.sourceforge.net/

Package: mh-e
Architecture: all
Depends: emacs23 | emacsen, nmh | mailutils-mh, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Recommends: gnus, compface
Suggests: mailcrypt, swish++, wget, imagemagick, picon-domains, w3m-el
Description: Emacs interface to the MH mail system
 MH-E offers all the functionality of MH, the visual orientation and
 simplicity of use of a GUI, and full integration with Emacs and
 XEmacs, including thorough configuration and online help.
 .
 MH-E allows one to read and process mail very quickly: many commands
 are single characters; completion and smart defaults are used for
 folder names and aliases. With MH-E you compose outgoing messages in
 Emacs. This is a big plus for Emacs users, but even non-Emacs users
 have been known to use MH-E after only learning the most basic cursor
 motion commands.
 .
 Additional features include:
 .
   - attractive text rendering with font lock
   - composition and display of MIME body parts
   - display of images and HTML within the Emacs frame
   - folder browsing with speedbar
   - threading
   - ticking messages
   - lightning-fast full-text indexed searches of all of your email
   - virtual folders to view ticked and unseen messages, search results
   - multiple personalities
   - signing and encrypting
   - spam filter interaction
   - XFace, Face, X-Image-URL and picon header field support
 .
 MH is Rand's Mail Handler, whose functionality is available in MH,
 nmh and GNU mailutils.
 .
 The package also includes contributed files that are not distributed
 with GNU Emacs:
 .
   mh-frame.el      - Open MH-E in a separate frame.
   mh-comp-frame.el - Message composition in a separate frame.
