=== debian/changelog ===
mh-e (8.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer create /root/.gnupg during installation of the package. This
    is achieved by binding epg-gpg-home-directory to a temporary directory
    during bytecode compilation (implementation in
    debian/emacsen-install). (Closes: #689806)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 21 Oct 2012 16:13:53 +0200

mh-e (8.3-1) unstable; urgency=low

  * New upstream release.
  - Standards-Version bumped to 3.9.2

 -- Peter S Galbraith <psg@debian.org>  Fri, 11 Nov 2011 11:03:23 -0500
