=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Peter S Galbraith <psg@debian.org>
 Build-Depends: debhelper (>> 4.0.0), texinfo, emacs23, texlive-latex-base, texlive-generic-recommended
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
 Homepage: http://mh-e.sourceforge.net/
 
 Package: mh-e
@@ -41,8 +41,9 @@
  MH is Rand's Mail Handler, whose functionality is available in MH,
  nmh and GNU mailutils.
  .
- The package also includes contributed files that are not distributed
- with GNU Emacs:
+ This might be the same version as in the emacs23 package, but
+ documentation is included. It also includes contributed files that are not
+ distributed with GNU Emacs:
  .
    mh-frame.el      - Open MH-E in a separate frame.
    mh-comp-frame.el - Message composition in a separate frame.
