## mh-e 8.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for MH-E.
 
-# Copyright (C) 2003-2006, 2011 Bill Wohler
+# Copyright (C) 2003-2006, 2011, 2012 Bill Wohler
 
 # This file is part of MH-E.
 
@@ -265,7 +265,7 @@
 MH_E_LOADDEFS_HEADER =\
 ";;; mh-loaddefs.el --- automatically extracted internal autoloads for MH-E\
 \n;;\
-\n;; Copyright (C) 2003-2011 Free Software Foundation, Inc.\
+\n;; Copyright (C) 2003-2012 Free Software Foundation, Inc.\
 \n;; Author: Bill Wohler <wohler@newt.com>\
 \n;; Keywords: mail\
 \n;;; Commentary:\
@@ -305,7 +305,7 @@
 MH_E_AUTOLOADS_HEADER =\
 ";;; mh-autoloads.el --- automatically extracted external autoloads for MH-E\
 \n\
-\n;; Copyright (C) 2003-2011 Free Software Foundation, Inc.\
+\n;; Copyright (C) 2003-2012 Free Software Foundation, Inc.\
 \n;; Author: Bill Wohler <wohler@newt.com>\
 \n;; Keywords: mail\
 \n;;; Commentary:\
@@ -352,7 +352,7 @@
 # custom-load.el.
 MH_E_CUSTOM_LOAD_HEADER =\
 "\
-\n;; Copyright (C) 2003-2011 Free Software Foundation, Inc.\
+\n;; Copyright (C) 2003-2012 Free Software Foundation, Inc.\
 \n;; Author: Bill Wohler <wohler@newt.com>\
 \n;; Keywords: mail\
 \n;;; Commentary:\
@@ -377,4 +377,3 @@
 custom-deps: $(MH_E_CUSTOM_LOAD)
 $(MH_E_CUSTOM_LOAD): $(MH_E_SRC)
 	if $(XEMACS); then \
-		$(COMPILE_COMMAND) \
