=== debian/changelog ===
mh-e (8.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Updates for emacs25 (Closes: #846989)
    - Update build-dep: emacs24 => emacs25-nox | emacs25 | emacs24
    - Update depends: emacs24 | emacs | xemacs21
      => emacs25 | emacs24 | emacs | xemacs21

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 08 Jan 2017 12:03:02 -0700

mh-e (8.5-2) unstable; urgency=low

  * Bug fix: "postinst script blocks if some Recommends are not yet
    configured", thanks to Laurent Bonnaud (Closes: #345987). I removed
    the Recommends for gnus, which forced installation of xemacs.
  * depend on "emacs24 | emacs | xemacs21" rather than "emacs23 | emacsen".
  * build-depend on emacs24 instead of emacs23.
  
 -- Peter S Galbraith <psg@debian.org>  Sat, 01 Jun 2013 12:01:05 -0400

mh-e (8.5-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Sun, 03 Mar 2013 13:23:17 -0500
