=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: mail
 Priority: extra
 Maintainer: Peter S Galbraith <psg@debian.org>
-Build-Depends: debhelper (>> 4.0.0), texinfo, emacs23, texlive-latex-base, texlive-generic-recommended
+Build-Depends: debhelper (>> 4.0.0), texinfo, emacs25-nox | emacs25 | emacs24, texlive-latex-base, texlive-generic-recommended
 Standards-Version: 3.9.2
 Homepage: http://mh-e.sourceforge.net/
 
 Package: mh-e
 Architecture: all
-Depends: emacs23 | emacsen, nmh | mailutils-mh, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Recommends: gnus, compface
+Depends: emacs25 | emacs24 | emacs | xemacs21, nmh | mailutils-mh, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Recommends: compface
 Suggests: mailcrypt, swish++, wget, imagemagick, picon-domains, w3m-el
 Description: Emacs interface to the MH mail system
  MH-E offers all the functionality of MH, the visual orientation and
