=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ADVERTISEDVERSION=$(shell head -1 debian/changelog | perl -ne 'if(/([0-9][^-]+)/) {print $$1}')

source:
	install -d mh-e-$(ADVERTISEDVERSION)
	tar cf - --exclude=debian/CVS --exclude=contrib/CVS --exclude=*/.cvsignore --exclude=doc/CVS --exclude=doc/info --exclude=emacs/trunk/lisp/mh-e/CVS --exclude=src/mail/CVS debian contrib doc src | ( cd mh-e-$(ADVERTISEDVERSION) ; tar xf -)
	tar cf mh-e_$(ADVERTISEDVERSION).orig.tar mh-e-$(ADVERTISEDVERSION)
	gzip --best mh-e_$(ADVERTISEDVERSION).orig.tar
	rm -fR mh-e-$(ADVERTISEDVERSION)

build: build-stamp
build-stamp:
	dh_testdir
	make autoloads custom-deps loaddefs
	install -d doc/info
	(cd doc/doc/misc ; makeinfo mh-e.texi)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f mh-e-autoloads.el
	rm -f build-stamp configure-stamp
	(cd doc ; make clean)
	rm -fR info
	make clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_installdirs
	install -m 0644 *.el emacs/trunk/lisp/mh-e/*.el debian/mh-e/usr/share/emacs/site-lisp/mh-e
	install -m 0644 contrib/*.el              debian/mh-e/usr/share/emacs/site-lisp/mh-e
	install -m 0644 emacs/trunk/etc/images/*.pbm emacs/trunk/etc/images/*.xpm debian/mh-e/usr/share/emacs/site-lisp/etc/images/mh-e
	install -m 0644 emacs/trunk/etc/images/mail/*   debian/mh-e/usr/share/emacs/site-lisp/etc/images/mh-e/mail
	install -m 0644 contrib/ChangeLog debian/mh-e/usr/share/doc/mh-e/contrib.changelog
	install -m 0644 contrib/README debian/mh-e/usr/share/doc/mh-e/contrib.README
	dh_installdocs MH-E-NEWS
	dh_installemacsen
	dh_installinfo doc/info/mh-e*
	dh_installchangelogs ChangeLog
	install -m 0644 ChangeLog.1 debian/mh-e/usr/share/doc/mh-e/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary source
